# Uses of Enum Class
javafx.scene.text.FontPosture

Packages that use FontPosture
Package
Description
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of FontPosture in javafx.css.converter

Methods in javafx.css.converter that return FontPosture
Modifier and Type
Method
Description
`FontPosture`
FontConverter.FontStyleConverter.`convert(ParsedValue<String,FontPosture> value, Font font)`
Method parameters in javafx.css.converter with type arguments of type FontPosture
Modifier and Type
Method
Description
`FontPosture`
FontConverter.FontStyleConverter.`convert(ParsedValue<String,FontPosture> value, Font font)`

## Uses of FontPosture in javafx.scene.text

Methods in javafx.scene.text that return FontPosture
Modifier and Type
Method
Description
`static FontPosture`
FontPosture.`findByName(String name)`
Returns `FontPosture` by its name.
`static FontPosture`
FontPosture.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FontPosture[]`
FontPosture.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.text with parameters of type FontPosture
Modifier and Type
Method
Description
`static Font`
Font.`font(String family, FontPosture posture, double size)`
Searches for an appropriate font based on the font family name and posture style.
`static Font`
Font.`font(String family, FontWeight weight, FontPosture posture, double size)`
Searches for an appropriate font based on the font family name and weight and posture style.